algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Algebra.Incidence

# Documentation

data Interval a Source

Constructors

Interval a a |

Instances

Typeable1 Interval |
(Commutative r, Monoidal r, Semiring r, LocallyFiniteOrder a) => Algebra r (Interval a) |
(Commutative r, Monoidal r, Semiring r, LocallyFiniteOrder a) => UnitalAlgebra r (Interval a) |
Eq a => Eq (Interval a) |
Data a => Data (Interval a) |
Ord a => Ord (Interval a) |
Read a => Read (Interval a) |
Show a => Show (Interval a) |

zeta :: Unital r => Interval a -> rSource

moebius :: (Ring r, LocallyFiniteOrder a) => Interval a -> rSource